#!/usr/bin/perl
#----------------------------------------
# Script Name: subtest.pl
# Script Version: 1.0
# Date: 1.1.2001
# Author: R. Allen WYke
# Description: create a simple subroutine that prompts the user for 
#    two digits, and then adds the numbers together. 
# Revision History:
#    1.0/<1.1.2001>: original version
#----------------------------------------

print "Enter a Number: ";
chomp($first = <STDIN>);

print "\nEnter a Second Number: ";
chomp($second = <STDIN>);

$result = &num_add($first, $second);

print "\n\nResult: $result\n";

#----------------------------------------
# Function: num_add
# Version Added: 1.0
# Input: 2 numbers
# Output: addition of 2 numbers
# Description: takes 2 numbers, adds then, and returns the result
#---------------------------------------- 
sub num_add{
  return ($_[0] + $_[1]);
}
