#!/usr/bin/perl -w
#----------------------------------------
# Script Name: test_lib.pl
# Script Version: 1.0
# Date: 12.31.2000
# Author: R. Allen Wyke
# Description: This is just a short program to test our library.
# Revision History:
#    1.0/12.31.2000: original version
#----------------------------------------

# import our library and the two functions in it.
use Prepare qw(my_print clean);

# prompt the user for a word and store it in $input
print "Please enter a word: ";
$input = <STDIN>;

# print what the user entered
print "You Entered: $input";

# call the clean function and strip off the return character
clean($input);

# call the my_print function which adds some text, but adds back 
# and prints out the return character.
my_print($input);
